
<div class="row">
    <div class="col-md-12" *ngIf="service.model?.ResidenciaId !== null; else elseBlock">
          <h5 class="title mb-0">Residencia {{ service.model.ResidenciaNumero }}
            <div class="position-absolute" style="top: 4px; right: 12px">
              <app-mover-residentes [residente]="service.model || null" (onLoad)="moveToOnLoad()">
              </app-mover-residentes>
            </div>
          </h5>
          <div class="table-responsive scroll" style="max-height: 250px">
            <table class="table table-bordered mt-3">
              <thead>
                <tr>
                  <th>DNI</th>
                  <th>Nombre</th>
                  <th>Tipo</th>
                  <th>Parentesco</th>
                  <th>Estado</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let r of data">
                    <td>{{ r.DNI | cedula }}</td>
                    <td>{{ r.NombreCompleto }}</td>
                    <td>{{ r.TipoResidenteDescripcion || '--' }}</td>
                    <td>{{ r.ParentescoDescripcion || 'Ninguno' }}</td>
                    <td class="text-center">
                      <span class="badge font-xs" [ngClass]="[r.Activo ? 'badge-success text-white' : 'badge-dark']">
                          {{ r.Activo ? 'Activo' : 'Inactivo' }}
                      </span>
                    </td>
                </tr>
              </tbody>
              <tfoot *ngIf="data?.length === 0">
                <tr>
                    <td colspan="99" class="text-center text-muted">
                      {{ (residenciaService.loading | async) === true ? 'Cargando...' : 'No Hay Registros' }}
                    </td>
                </tr>
            </tfoot>
            </table>
          </div>
    </div>
    <ng-template #elseBlock>
      <div class="col-md-12 text-center mt-2">
        <div class="d-flex flex-column">
          <i class="mdi mdi-home-city mdi-60px"></i>
          <h2 class="font-2x1 mt-n3">
            Sin Asignar
          </h2>
        </div>
      </div>
    </ng-template>
</div>
